<script setup lang="ts">
import LineInfo from "@/components/LineInfo.vue";
import StopInfo from "@/components/StopInfo.vue";

import {useBusLineData} from "@/composables/useBusLineData";

const { current, lines, selectBusLine } = useBusLineData();
</script>

<template>
  <div class="tab">
    <div class="options bg-white">
      <div class="text-container">
        <p class="fs-6 fw-bolder">Select Bus Line</p>
      </div>
      <div class="button-container p-4">
        <button
          :class="['btn btn-primary', { active: line == current }]"
          v-for="line in lines"
          :key="line"
          @click="selectBusLine(line)"
        >
          {{ line }}
        </button>
      </div>
    </div>
    <div class="row list-container">
      <LineInfo></LineInfo>
      <StopInfo></StopInfo>
    </div>
  </div>
</template>

<style scoped>
.tab {
  display: flex;
  flex-direction: column;
  flex: 1;
  gap: 16px;
  max-height: 100vh;
  overflow-y: hidden;
}
.options {
  display: flex;
  flex-direction: column;
}
.text-container {
  padding: 24px 0 8px 24px;
}
.button-container {
  display: flex;
  gap: 8px;
}
.list-container {
  display: flex;
  justify-content: space-between;
  flex: 1;
  margin: 16px 0 40px;
  height: 60vh;
  > div {
    flex: 0 0 calc(50% - 8px);
    flex-direction: column;
    overflow: auto;
    max-height: 100%;
  }
}
</style>